package com.rjconsultores.ventaboletos.service.impl;

import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.PtovtaExcecaoMultaCancDAO;
import com.rjconsultores.ventaboletos.entidad.PtovtaExcecaoMultaCanc;
import com.rjconsultores.ventaboletos.service.PtovtaExcecaoMultaCancService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("ptovtaExcecaoMultaCancService")
public class PtovtaExcecaoMultaCancServiceImpl implements PtovtaExcecaoMultaCancService {
	
	@Autowired
	PtovtaExcecaoMultaCancDAO ptovtaExcecaoMultaCancDAO;

	@Override
	public List<PtovtaExcecaoMultaCanc> obtenerTodos() {
		return ptovtaExcecaoMultaCancDAO.obtenerTodos();
	}

	@Override
	public PtovtaExcecaoMultaCanc obtenerID(Integer id) {
		return ptovtaExcecaoMultaCancDAO.obtenerID(id);
	}

	@Override
	@Transactional
	public PtovtaExcecaoMultaCanc suscribir(PtovtaExcecaoMultaCanc entidad) {
		entidad.setActivo(true);
		entidad.setFecmodif(new Date());
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		return ptovtaExcecaoMultaCancDAO.suscribir(entidad);
	}

	@Override
	@Transactional
	public PtovtaExcecaoMultaCanc actualizacion(PtovtaExcecaoMultaCanc entidad) {
		entidad.setFecmodif(new Date());
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		return ptovtaExcecaoMultaCancDAO.actualizacion(entidad);
	}

	@Override
	@Transactional
	public void borrar(PtovtaExcecaoMultaCanc entidad) {
		entidad.setActivo(false);
		entidad.setFecmodif(new Date());
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		ptovtaExcecaoMultaCancDAO.actualizacion(entidad);
	}

}
